FRIHOST FORUMS SEARCH FAQ TOS BLOGS COMPETITIONS
You are invited to Log in or Register a free Frihost Account!


Phpbb and PhpNuke Help





Ratman2050
Ok so I am running a website with PHPNUKE Version 7.0, which is outdated from 9 versions more(lates is PHPNUKE v7.9)
I am also running phpbb 2.0.6(outdated from the latest version 2.0.20 I believe).
And I wish to upgrade them both.
Details:

Website: www.clan-nda.frih.net
Admin: Ratman2050
MySQL: 4.1
PHP: 4
Apache server running

Here are my questions::
1. How do you upgrade Php-Nuke without changing your settings from my old Php-Nuke that I am using right now such as files,stories,modules, etc.?
2. If you upgrade Php-Nuke to 7.9 will it upgrade phpbb to v2.0.20 automatically? Or do you have to do that yourself?
3. My newly added Php-Nuke thems are uploaded correctly but when I got to Php-Nuke Preferences and change them, they always show a blank page(I can fix this dont worry Smile ), Is this beacuse of my outdated version?
4. How can I upgrade phpbb 2.0.20 without losing all my posts I have made, along with my settings from my version I am using right now?

If anyone could help me with these problems I would much appreciate it!
I know its a heavy burden and trouble to go through with all my questions but I will be greatly thankful for your help.
Thanks.
ninjakannon
I don't know about phpnuke, however I do have my own forum (see my sig). When you log into the admin pannel the first thing you see is the admin index page. On mine there is a green line of text that says:
Quote:
Your installation is up to date, no updates are available for your version of phpBB.

Do you not have an update button / link there or something? Or perhaps something in red saying the oposite?

I have never updated my phpbb yet so I'm not sure, but I was expecting to see something change when a newer version of phpbb was avaliable.
Ratman2050
ninjakannon wrote:
I don't know about phpnuke, however I do have my own forum (see my sig). When you log into the admin pannel the first thing you see is the admin index page. On mine there is a green line of text that says:
Quote:
Your installation is up to date, no updates are available for your version of phpBB.

Do you not have an update button / link there or something? Or perhaps something in red saying the oposite?

I have never updated my phpbb yet so I'm not sure, but I was expecting to see something change when a newer version of phpbb was avaliable.



Nope I am very unfortunate to say. I think that is only for older models and versions. Thanks for the help anyways.

Still waiting for help.
anticitizen1
To upgrade to the last version of phpnuke you need:

- PHP NUKE 7.9
it includes all the upgrades files.
- The Patch files (security reasons) i recommend Version 3.2
- See and check that your own modules still compatibles.
- Check and fix your themes to make em compatibles with 7.9
- Edit your modules to make em compatibles with 7.5 o sup.
- Install Sentinel (improves security)

with every package comes a directory called upgrades, you have to run evryscript: 7.0-->7-1, 71-->72 etc.

the site: www.nukescripts.net www.nukefixes.com

you may also check this great version of phpnuke:
http://www.cpgnuke.com/
Security, stability, and a very nice forum integration.

Feel free to ask for help, im a old *-nuke user.
Ratman2050
anticitizen1 wrote:
To upgrade to the last version of phpnuke you need:

- PHP NUKE 7.9
it includes all the upgrades files.
- The Patch files (security reasons) i recommend Version 3.2
- See and check that your own modules still compatibles.
- Check and fix your themes to make em compatibles with 7.9
- Edit your modules to make em compatibles with 7.5 o sup.
- Install Sentinel (improves security)

with every package comes a directory called upgrades, you have to run evryscript: 7.0-->7-1, 71-->72 etc.

the site: www.nukescripts.net www.nukefixes.com

you may also check this great version of phpnuke:
http://www.cpgnuke.com/
Security, stability, and a very nice forum integration.

Feel free to ask for help, im a old *-nuke user.



You have really only answered one of my questions. But I much appreciate what you have done to help me. Thank you. If you could answer all 4 I would be much obliged. Also Im not very good at Nuke using I have used, it for 1 week or so. I am an ok user, not advanced. If I could send you my Accoutn Details, could you do this for me? Again I appreciate it.
anticitizen1
Ratman2050

1. How do you upgrade Php-Nuke without changing your settings from my old Php-Nuke that I am using right now such as files,stories,modules, etc.?

Just Upload and rewrite the old ones, exept config.php.

2. If you upgrade Php-Nuke to 7.9 will it upgrade phpbb to v2.0.20 automatically? Or do you have to do that yourself?

If im not wrong to 20.18 but to update you need the phpbb 2.020 pack avaible from www.nukefixes.com.

3. My newly added Php-Nuke thems are uploaded correctly but when I got to Php-Nuke Preferences and change them, they always show a blank page(I can fix this dont worry Smile ), Is this beacuse of my outdated version?

Maybe. I need more information.

4. How can I upgrade phpbb 2.0.20 without losing all my posts I have made, along with my settings from my version I am using right now?

youll not lose any post. if done right.

Im using php-nuke since 6.1 (a few years), but PHP-nuke i must admit isnt the best *-nuke, try
http://www.cpgnuke.com/ is my best advice for you. It has autoinstaller or autoupdater and a lot of things, if youre about only a week using phpnuke 7.0, is "SAFE" to change.
Ratman2050
anticitizen1 wrote:
To upgrade to the last version of phpnuke you need:

- PHP NUKE 7.9
it includes all the upgrades files.
- The Patch files (security reasons) i recommend Version 3.2
- See and check that your own modules still compatibles.
- Check and fix your themes to make em compatibles with 7.9
- Edit your modules to make em compatibles with 7.5 o sup.
- Install Sentinel (improves security)

with every package comes a directory called upgrades, you have to run evryscript: 7.0-->7-1, 71-->72 etc.

the site: www.nukescripts.net www.nukefixes.com

you may also check this great version of phpnuke:
http://www.cpgnuke.com/
Security, stability, and a very nice forum integration.

Feel free to ask for help, im a old *-nuke user.

Ratman2050

1. How do you upgrade Php-Nuke without changing your settings from my old Php-Nuke that I am using right now such as files,stories,modules, etc.?

Just Upload and rewrite the old ones, exept config.php.

2. If you upgrade Php-Nuke to 7.9 will it upgrade phpbb to v2.0.20 automatically? Or do you have to do that yourself?

If im not wrong to 20.18 but to update you need the phpbb 2.020 pack avaible from www.nukefixes.com.

3. My newly added Php-Nuke thems are uploaded correctly but when I got to Php-Nuke Preferences and change them, they always show a blank page(I can fix this dont worry Smile ), Is this beacuse of my outdated version?

Maybe. I need more information.

4. How can I upgrade phpbb 2.0.20 without losing all my posts I have made, along with my settings from my version I am using right now?

youll not lose any post. if done right.

Im using php-nuke since 6.1 (a few years), but PHP-nuke i must admit isnt the best *-nuke, try
http://www.cpgnuke.com/ is my best advice for you. It has autoinstaller or autoupdater and a lot of things, if youre about only a week using phpnuke 7.0, is "SAFE" to change.



Ok first thing I want to say is thank you very much for your help. I am right now actually downloading PHPNUKE 7.8 and Uploading it to my website through FTP. I made Forum PHPBB backup, DB Backup, and PhpNuke Backup. I have a question though.
1. How do you install patch file 3.2
2. How do you install sentinel
3. What do you mean by see and check if your own modules are compatible? With what?
4. How do I check and fix my themes for 7.8? And how do I edit my modules to make them compatible with 7.8? Do you mean to replace my old modules and stories I wrote witht the new ones?

Again MUCH APPRECIATED
anticitizen1
1. How do you install patch file 3.2
overwrite everything!
the patch files: www.nukefixes.com search for 7.8.3.1 files
download and overwrite the old one.

2. How do you install sentinel
The Download and install Sentinel
www.nukescripts.net
you just have to edit two files, and the folow the instructions (it comes with a autoinstaller)
3. What do you mean by see and check if your own modules are compatible? With what?

Make sure that you are using the lats module versions. This is not applicable if youre using the default modules

4. How do I check and fix my themes for 7.8? And how do I edit my modules to make them compatible with 7.8? Do you mean to replace my old modules and stories I wrote witht the new ones?

No, just check the changelog file in the phpnukep pack, and see what you need to change ( minor changes )
Ratman2050
Ok this is what I did. I uploaded PhpNuke 7.8
I went to clan-nda.frih.net
It showed everything except the modules and panels.
I went to admin it worked.
I tryed goign to forums it gave me this error::

phpBB : Critical Error

Error creating new session

DEBUG MODE

SQL Error : 1054 Unknown column 'session_admin' in 'field list'

INSERT INTO nuke_bbsessions (session_id, session_user_id, session_start, session_time, session_ip, session_page, session_logged_in, session_admin) VALUES ('10ff337e59ee900c8af7c30b3b21d08a', '1', '1152650947', '1152650947', '4b15a018', '0', '0', '0')

Line : 203
File : sessions.php

I then installed the patch 7.8-3.2b it still gave me this same error and no panels or modules.

Please check the website clan-nda.frih.net yourself to tell me what you I did wrong. Currently Im installing sentinel.
anticitizen1
Din you ran phpbb updates files?
check the modules/Forum/
for the update files.
Ratman2050
I tried running the files like this www.clan-nda.frih.net/update_to_205.php in the modules/forums thing but it said page cannot be found
Ratman2050
Ok I have fixed everything.
Thank you very Much AntiCitizen.

One thing though.
I see this red mark when I logon to Phpbb Control Panel.
Saying I should update phpbb to 2.0.21.
I downloaded the changed files only zip package.
Uploaded it correctly as I believe to run it i type:
www.clan-nda.frih.net/modules/forums/install/update_to_latest.php
It told me to go to this link and read the upgrade thing at phpbb.com something.
Then I logged onto clan-nda.frih.net/admin.php to enable the phpbb forum board through PhpBb Control Panel, but it gave me this error::

Link to type: http://clan-nda.frih.net/modules/Forums/admin/index.php
Error:
Fatal error: Cannot instantiate non-existent class: sql_db in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/includes/db.php on line 60


Could anyone help me with this? I am running phpnuke 7.8 with phpbb 2.0.15 trying to upgrade to 2.0.21.
anticitizen1
Please "Un-Do" that operation.
One thing are the files need for a standalone version phpbb and other the files needed to run phpbb under phpnuke. you need the "special" files for phpnuke, the modificated.

Upload the the "the old" files. that will fix the problem.

one thing is phpbb and another thing is phpbb as module for phpnuke.
Ratman2050
anticitizen1 wrote:
Please "Un-Do" that operation.
One thing are the files need for a standalone version phpbb and other the files needed to run phpbb under phpnuke. you need the "special" files for phpnuke, the modificated.

Upload the the "the old" files. that will fix the problem.

one thing is phpbb and another thing is phpbb as module for phpnuke.



How do you undo the operation?

This is what I am doing.
Since I didnt make a backup after I upgrade my PHPNUKE 7.8.
Im just taking the PhpNUke 7.8 Modules/Forums Files from the package and uploading it to public-html/modules/forums. I think that might work.
anticitizen1
thats right, lets hope that you did not make changes on the Database.
Ratman2050
Yeah I did it fine it works. Now could you show me how to upgrade to phpbb 2.0.21 from 2.0.15 in PHPNUKE 7.8?
anticitizen1
Goto http://www.nukeresources.com/download-search-BBtoNuke-10-titleA-10.html
and download
all the bb2nuke files for NP ( nuke patched ), dont apply those patcches, only apply the last one. but you need the upgrade script from the others:

Apply the Pacth 2.0.21 NP
OK then run the updates files.
Note that nuke 7-8 comes with 2.0.XX version (see the change log file)

2.0.15 updater.php
2.0.16 updater.php
ETC...
2.0.21 updater.php

Frih$ jejeje
Ratman2050
anticitizen1 wrote:
Goto http://www.nukeresources.com/download-search-BBtoNuke-10-titleA-10.html
and download
all the bb2nuke files for NP ( nuke patched ), dont apply those patcches, only apply the last one. but you need the upgrade script from the others:

Apply the Pacth 2.0.21 NP
OK then run the updates files.
Note that nuke 7-8 comes with 2.0.XX version (see the change log file)

2.0.15 updater.php
2.0.16 updater.php
ETC...
2.0.21 updater.php

Frih$ jejeje


1.Ok when I went to the link you gave me it has a whole list of downloads. Which one exactly? the Bbtonuke 2.0.18 NP? Or which one?

2.What do you mean by all the bb2nukefiles for NP?

3. After I download that you want me to extract it. Copy to my website using FTP upload in the modules/forums/ dir, then run the updates such as www.clan-nda.frih.net/modules/forums/2.0.15 updater.php Like that and so on?

4. How do you apply the patch? Do you mean run it through browser using link?

Thanks again. Ill be sure to give some Frih$ lol lol lol
anticitizen1
1.Ok when I went to the link you gave me it has a whole list of downloads. Which one exactly? the Bbtonuke 2.0.18 NP? Or which one?

From Bbtonuke 2.0.16 NP to Bbtonuke 2.0.21 NP. You need the 2.0.xx updater.php files

2.What do you mean by all the bb2nukefiles for NP?

NP= Nuke Patched. Your current installation

3. After I download that you want me to extract it. Copy to my website using FTP upload in the modules/forums/ dir, then run the updates such as www.clan-nda.frih.net/modules/forums/2.0.15 updater.php Like that and so on?

Thats right, CHeck the ReadMe files for details.

4. How do you apply the patch? Do you mean run it through browser using link?

Apply the patch is, upload and overwrite the old files, then run the
/modules/forums/2.0.xx updater.php files

from 2.0.16 updater.php
to 2.0.21 updater.php

Delete all those files when evrything is done.
Ratman2050
EDIT::::Never mind
anticitizen1
mmm, somthing went wrong. mm.

Ive registred in your site as xxx
posted some thing, send an PM message.
and everything went right
The problem is you change the Theme. Repeat FIX YOU THEMES;
thats all.

The GREY screen, have checked the source code?

Code:
<script language="JavaScript">startColor="#000000";endColor="#ffffff"; </script> <script language="JavaScript" src="themes/Archer/fade.js"></script><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Clan NDA </title>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
<META NAME="RESOURCE-TYPE" CONTENT="DOCUMENT">
<META NAME="DISTRIBUTION" CONTENT="GLOBAL">
<META NAME="AUTHOR" CONTENT="Clan NDA">
<META NAME="COPYRIGHT" CONTENT="Copyright (c) by Clan NDA">
<META NAME="KEYWORDS" CONTENT="News, news, New, new, Technology, technology, Headlines, headlines, Nuke, nuke, PHP-Nuke, phpnuke, php-nuke, Geek, geek, Geeks, geeks, Hacker, hacker, Hackers, hackers, Linux, linux, Windows, windows, Software, software, Download, download, Downloads, downloads, Free, FREE, free, Community, community, MP3, mp3, Forum, forum, Forums, forums, Bulletin, bulletin, Board, board, Boards, boards, PHP, php, Survey, survey, Kernel, kernel, Comment, comment, Comments, comments, Portal, portal, ODP, odp, Open, open, Open Source, OpenSource, Opensource, opensource, open source, Free Software, FreeSoftware, Freesoftware, free software, GNU, gnu, GPL, gpl, License, license, Unix, UNIX, *nix, unix, MySQL, mysql, SQL, sql, Database, DataBase, Blogs, blogs, Blog, blog, database, Mandrake, mandrake, Red Hat, RedHat, red hat, Slackware, slackware, SUSE, SuSE, suse, Debian, debian, Gnome, GNOME, gnome, Kde, KDE, kde, Enlightenment, enlightenment, Interactive, interactive, Programming, programming, Extreme, extreme, Game, game, Games, games, Web Site, web site, Weblog, WebLog, weblog, Guru, GURU, guru, Oracle, oracle, db2, DB2, odbc, ODBC, plugin, plugins, Plugin, Plugins">
<META NAME="DESCRIPTION" CONTENT="Nationalizing The World">
<META NAME="ROBOTS" CONTENT="INDEX, FOLLOW">

<META NAME="REVISIT-AFTER" CONTENT="1 DAYS">
<META NAME="RATING" CONTENT="GENERAL">
<META NAME="GENERATOR" CONTENT="PHP-Nuke Copyright (c) 2005 by Francisco Burzi. This is free software, and you may redistribute it under the GPL (http://phpnuke.org/files/gpl.txt). PHP-Nuke comes with absolutely no warranty, for details, see the license (http://phpnuke.org/files/gpl.txt).">
<!-- tinyMCE -->
      <script language="javascript" type="text/javascript" src="includes/tiny_mce/tiny_mce.js"></script>
      <script language="javascript" type="text/javascript">
         tinyMCE.init({
            mode : "textareas",
         theme : "default",
         language : "english",
         editor_css : "includes/tiny_mce/themes/default/editor_ui.css",
         force_p_newlines: "false",
         force_br_newlines: "true"
         });
      </script>
      <!-- /tinyMCE --><SCRIPT type="text/javascript">
<!--
function showimage() {
if (!document.images)
return
document.images.avatar.src=
'http://www.clan-nda.frih.net/modules/Forums/images/avatars/gallery/' + document.Register.user_avatar.options[document.Register.user_avatar.selectedIndex].value
}
//-->
</SCRIPT>

<link rel="alternate" type="application/rss+xml" title="RSS" href="backend.php">
<LINK REL="StyleSheet" HREF="themes/Archer2/style/style.css" TYPE="text/css">



so the problem is with your theme

EDIT
To see yopur website back just clean ypur cookies.
-close-
Ratman2050
Why did you put your name as xxx, you should change it!.. Sounds lame lol. Okay thanks for checking for it to work ok. So how do I make the themes work. Im still working on the phpbb 2.0.20 crap:

Here is what I got so far. I downloaded all the files 2.0.16-2.0.21.
Then I extracted everything. Copied all of the 2.0.21 files including install and modules and upgrade20-21.php. For the rest of 16-20 I only copied the upgrade.php files. Then I went to http://www.clan-nda.frih.net/modules/Forums/upgrade15-16.php and got this error::


Warning: main(mainfile.php): failed to open stream: No such file or directory in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 14

Warning: main(mainfile.php): failed to open stream: No such file or directory in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 14

Warning: main(): Failed opening 'mainfile.php' for inclusion (include_path='.:/usr/local/lib/php') in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 14

Fatal error: Call to a member function on a non-object in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 17

What have I done wrong?
Ratman2050
Anybody know how to fix this?
anticitizen1
Check the lines 14 & 17 to see what fuctions are being called.
im not sure if you have to use the upgrader scripts in the HTML folder-

/home/ratman20/domains/clan-nda.frih.net/public_html

and not in the
/home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums

the xxx. mm i was in a hurry so i created that account simple things.
Ratman2050
Ratman2050 wrote:


Warning: main(mainfile.php): failed to open stream: No such file or directory in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 14

Warning: main(mainfile.php): failed to open stream: No such file or directory in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 14

Warning: main(): Failed opening 'mainfile.php' for inclusion (include_path='.:/usr/local/lib/php') in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 14

Fatal error: Call to a member function on a non-object in /home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums/upgrade15-16.php on line 17

What have I done wrong?


anticitizen1 wrote:
Check the lines 14 & 17 to see what fuctions are being called.
im not sure if you have to use the upgrader scripts in the HTML folder-

/home/ratman20/domains/clan-nda.frih.net/public_html

and not in the
/home/ratman20/domains/clan-nda.frih.net/public_html/modules/Forums


I did as you said and installed the upgrade scripts in the main public_html
It worked and phpbb is up to date.(2.0.21).

Here are the functions I figured out.

Line 14: include("mainfile.php");

The include for mainfile.php was missing in because of PHP-Nuke interfering.

Line 17: $db->sql_query("UPDATE ".$prefix."_bbconfig SET config_value='.0.16' where config_name='version'");

One thing though, I upgrade phpbb but when I try to use a different theme than subsilver it still doesnt work. Only the fonts change.
Same with the Php-Nuke themes.
anticitizen1
make sure that your templetes are for PHP-NUKE and not for phpbb, you need THEMES that include the forums's templete, and make sure they are phpnuke 7-8 and phpbb 20.21 compatible.

CLOSE:
Ratman2050
anticitizen1 wrote:
make sure that your templetes are for PHP-NUKE and not for phpbb, you need THEMES that include the forums's templete, and make sure they are phpnuke 7-8 and phpbb 20.21 compatible.

CLOSE:


Still doesnt work. Oh well, Im getting Php-Nuke Platinum installed. I deleted my old board.
Ratman2050
The themes work now, when I installed PhpNuke-Platinum
Ratman2050
You can -close- this topic now. It is resolved.
Related topics
PHPBB admin help
phpBB Style Help
phpBB Services
PHP: Sessions and Cookies
[COMMUNITY PROJECT]Frihost Forum
Can we request C&D orders?
How to create a journal for multpiple users
Avatars not showing
How to view my stats?
adding forums
Help to reinstall forum
Relate Joomla and PHPbb - plz help
Spams hacking my forum!
phpBB Forum.. How to Delete Spammers..
This topic is locked: you cannot edit posts or make replies.    Frihost Forum Index -> Support and Web Hosting -> Web Hosting Support

FRIHOST HOME | FAQ | TOS | ABOUT US | CONTACT US | SITE MAP
© 2005-2011 Frihost, forums powered by phpBB.